Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class TablePropertiesFormComponent

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.form.XmlComponent
              com.tonbeller.wcf.form.FormComponent
                  com.tonbeller.wcf.table.TablePropertiesFormComponent

All Implemented Interfaces:
  Bookmarkable, Component, java.util.EventListener, Form, FormListener, javax.servlet.http.HttpSessionBindingListener, LifeCycle, Renderable, RequestListener, RoleExprHolder, Visible, WizardPage

public class TablePropertiesFormComponent
extends FormComponent

A form that allows the user to change the properties of a table component.

Author:
  av

Nested Class Summary

Nested classes inherited from class com.tonbeller.wcf.wizard.WizardPage
`WizardPage.WizardPagePosition`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`TablePropertiesFormComponent(java.lang.String id, Component parent, org.w3c.dom.Document document, TableComponent table)`

Method Summary
`TreeModel` | `getColumnTreeModel()`
`TableComponent` | `getTable()` used by xml form
`java.lang.String` | `getTitle()`
`void` | `initialize(RequestContext context)` deferred ctor
`boolean` | `isCloseable()`
`void` | `onApply(RequestContext context)` called when the user presses OK
`void` | `onCancel(RequestContext context)` called when the user presses Cancel
`void` | `setCloseable(boolean b)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class com.tonbeller.wcf.form.FormComponent
`addPageListener, clearErrors, clearErrors, getBean, getBookmarkState, isBookmarkable, isFinishButton, pageAdded, pageSkipped, removePageListener, render, revert, setBean, setBookmarkable, setBookmarkState, setError, setFinishButton, validate`

Methods inherited from class com.tonbeller.wcf.form.XmlComponent
`destroy, getChildren, getDocument, getElement, getElement, getHandler, getHandler, getParent`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, setAutoValidate, setId, setNextView, setParent, setRoleExpr, setVisible, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Constructor Detail

### TablePropertiesFormComponent

    public TablePropertiesFormComponent(java.lang.String id,
                                        Component parent,
                                        org.w3c.dom.Document document,
                                        TableComponent table)

Method Detail

### initialize

    public void initialize(RequestContext context)
                    throws java.lang.Exception

  Description copied from class: `FormComponent`
  deferred ctor

  Specified by:
    `initialize` in interface `LifeCycle`
  Overrides:
    `initialize` in class `FormComponent`
  Throws:
    `java.lang.Exception`

### onApply

    public void onApply(RequestContext context)
                 throws java.lang.Exception

  called when the user presses OK

  Throws:
    `java.lang.Exception`

### onCancel

    public void onCancel(RequestContext context)
                  throws java.lang.Exception

  called when the user presses Cancel

  Throws:
    `java.lang.Exception`

### getColumnTreeModel

    public TreeModel getColumnTreeModel()

### getTable

    public TableComponent getTable()

  used by xml form

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### isCloseable

    public boolean isCloseable()

  Returns:

### setCloseable

    public void setCloseable(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD